Subject: bug#31054: closed (Re: bug#31054: report problem: import bookmark for Web application does not work)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Aug 2018 23:44:01 +0000

Your bug report

#31054: Epiphany crashes on "import bookmark" menu item.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31054: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31054
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31054: report problem: import bookmark for Web application does not work
From: Leo Famulari <[email-masked]>
To: Mark H Weaver <[email-masked]>
Cc: Wensheng Xie <[email-masked]>, [email-masked]
Date: Wed, 29 Aug 2018 19:43:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Apr 07, 2018 at 02:10:12PM -0400, Mark H Weaver wrote:
> retitle 31054 Epiphany crashes on "import bookmark" menu item.
> thanks
> 
> Wensheng Xie <[email-masked]> writes:
> 
> > The system is guixSD 0.14 with standard desktop for xfce and GNOME.
> >
> > Using the standard web browser, try to click on the "import bookmark" menu.
> > The Web browser silently exits.
> >
> > Does anybody have the same issue?
> 
> I just tried it, and the same issue happens for me on my system based on
> the 'core-updates' branch.  It writes the following to stdout/stderr
> just before exiting:
> 
> --8<---------------cut here---------------start------------->8---
> (epiphany:1178): GLib-CRITICAL **: 14:01:59.053: g_io_channel_read_line: assertion 'channel != NULL' failed
> free(): invalid pointer
> Aborted
> --8<---------------cut here---------------end--------------->8---

I can't reproduce this bug using GuixSD with GNOME with a recent version
of Guix [0], so I think it must have been fixed upstream.

[0] I tried on commit 4db7a9dc663c5b26e45ec35538bf68ff87acdf7b
(linux-modules: Raise an error when a kernel module cannot be found.).

Subject: report problem: import bookmark for Web application does not work
From: Wensheng Xie <[email-masked]>
To: [email-masked]
Date: Wed, 4 Apr 2018 09:49:36 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, All:

The system is guixSD 0.14 with standard desktop for xfce and GNOME.

Using the standard web browser, try to click on the "import bookmark" menu.
The Web browser silently exits.

Does anybody have the same issue?

best regards,
wxie

-- 
I'm an FSF member -- Help us support software freedom!
https://my.fsf.org/join